# Community Moderators

The following people are responsible for moderating/administrating Kubernetes
communication channels and their home time zone. See our
[moderation guidelines] for policies and recommendations.

## Mailing Lists

### kubernetes-dev

#### Administrators

Administrator seats: 3

| Name                | Kubernetes Slack ID | Region   | Timezone                                                |
| ------------------- | ------------------- | -------- | ------------------------------------------------------- |
| Paris Pittman       | @paris              | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Aaron Crickenberger | @spiffxp            | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| _Open_              | _Open_              |          |                                                         |

#### Primary Moderators

Primary moderators seats: 7

| Name                | Kubernetes Slack ID | Region   | Timezone                                                |
| ------------------- | ------------------- | -------- | ------------------------------------------------------- |
| Jorge Castro        | @castrojo           | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Bob Killen          | @mrbobbytables      | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jaice Singer DuMars | @jdumars            | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Louis Taylor        | @kragniz            | EMEA     | [CET - Central European Time](https://time.is/CET)      |
| Ihor Dvoretskyi     | @ihor.dvoretskyi    | EMEA     | [EET - Eastern European Time](https://time.is/EET)      |
| Nikhita Raghunath   | @nikhita            | APAC     | [IST - Indian Standard Time](https://time.is/India)     |
| _Open_              | _Open_              |          |                                                         |

#### Moderators Pro Tempore

Moderators pro tempore seats: 5

| Name   | Kubernetes Slack ID | Region | Timezone |
| ------ | ------------------- | ------ | -------- |
| _Open_ | _Open_              |        |          |

## GitHub

Note that this team is not only responsible for the project's Github
administration, but also moderation of issues, PRs, etc.

- [GitHub Administration Team]

## Discuss

### Administrators

Administrators seats: 4

| Name          | Kubernetes Discuss ID | Region   | Timezone                                                |
| ------------- | --------------------- | -------- | ------------------------------------------------------- |
| Jorge Castro  | @castrojo             | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Bob Killen    | @mrbobbytables        | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jeffrey Sica  | @jeefy                | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jorge Alarcon | @alejandrox1          | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Josh Berkus   | @jberkus              | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |

Note, due to how the software is designed, dedicated moderators are not required
for discuss, the [trust system] in place allows for self moderation. In this
case administrators act as exception handlers. Regional moderators are required
for language/cultural reasons, (ie. we can't expect a community member who
doesn't speak a language to be able to effectively moderate).

### Regional Category Moderators

Regional category moderators seats (per category): 3

**[Chinese]**

| Name                    | Kubernetes Discuss ID | Region | Timezone                                           |
| ----------------------- | --------------------- | ------ | -------------------------------------------------- |
| Peter (Xiang Peng) Zhao | @xiangpengzhao        | APAC   | [CST - China Standard Time](https://time.is/China) |
| Yang Li                 | @idealhack            | APAC   | [JST - Japan Standard Time](https://time.is/Japan) |
| Puja Abbassi            | @puja                 | EMEA   | [CET - Central European Time](https://time.is/CET) |

**[German]**

| Name               | Kubernetes Discuss ID | Region | Timezone                                           |
| ------------------ | --------------------- | ------ | -------------------------------------------------- |
| Puja Abbassi       | @puja                 | EMEA   | [CET - Central European Time](https://time.is/CET) |
| Daniel Holbach     | @dholbach             | EMEA   | [CET - Central European Time](https://time.is/CET) |
| Michael Hausenblas | @mhausenblas          | EMEA   | [WET - Western European Time](https://time.is/WET) |

**[Italian]**

| Name             | Kubernetes Discuss ID | Region | Timezone                                           |
| ---------------- | --------------------- | ------ | -------------------------------------------------- |
| Jacopo Nardiello | @jnardiello           | EMEA   | [CET - Central European Time](https://time.is/CET) |
| _Open_           | _Open_                |        |                                                    |

**[Spanish]**

| Name        | Kubernetes Discuss ID | Region | Timezone                                           |
| ----------- | --------------------- | ------ | -------------------------------------------------- |
| Rael Garcia | @rael                 | EMEA   | [CET - Central European Time](https://time.is/CET) |
| _Open_      | _Open_                |        |                                                    |

**[Ukrainian]**

| Name            | Kubernetes Discuss ID | Region | Timezone                                           |
| --------------- | --------------------- | ------ | -------------------------------------------------- |
| Ihor Dvoretskyi | @idvoretskyi          | EMEA   | [EET - Eastern European Time](https://time.is/EET) |
| _Open_          | _Open_                |        |                                                    |

## YouTube Channel

### Owners

Email: contributors@kubernetes.io

### Primary Moderators

Moderators seats: 10

| Name                | Kubernetes Slack ID | Region   | Timezone                                                |
| ------------------- | ------------------- | -------- | ------------------------------------------------------- |
| Jorge Castro        | @castrojo           | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jeffrey Sica        | @jeefy              | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Bob Killen          | @mrbobbytables      | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jorge Alarcon       | @alejandrox1        | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Chris Short	      | @chrisshort         | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Ihor Dvoretskyi     | @ihor.dvoretskyi    | EMEA     | [EET - Eastern European Time](https://time.is/EET)      |
| Naeil Ezzoueidi     | @nzoueidi           | EMEA     | [CST - Central European Time](https://time.is/CET)      |
| Yang Li             | @idealhack          | APAC     | [JST - Japan Standard Time](https://time.is/Japan)      |
| Marky Jackson       | @markyjackson       | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Taylor Dolezal      | @onlydole           | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |

### Moderators Pro Tempore

Moderators pro tempore seats: 3

| Name   | Kubernetes Slack ID | Region | Timezone |
| ------ | ------------------- | ------ | -------- |
| _Open_ | _Open_              |        |          |

## Slack

#### Owner

Owners seats (non-admin role): 1

| Name            | Kubernetes Slack ID | Region   | Timezone                                             |
| --------------- | ------------------- | -------- | ---------------------------------------------------- |
| Chris Aniszczyk | @caniszczyk         | Americas | [CT - Central Time (US Central)](https://time.is/CT) |

#### Moderators

Moderators seats: 10

| Name                | Kubernetes Slack ID | Region   | Timezone                                                |
| ------------------- | ------------------- | -------- | ------------------------------------------------------- |
| Jorge Castro        | @castrojo           | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jeffrey Sica        | @jeefy              | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Bob Killen          | @mrbobbytables      | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jorge Alarcon       | @alejandrox1        | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Katharine Berry     | @Katharine          | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Jaice Singer DuMars | @jdumars            | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Paris Pittman       | @paris              | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Noah Kantrowitz     | @coderanger         | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Ihor Dvoretskyi     | @ihor.dvoretskyi    | EMEA     | [EET - Eastern European Time](https://time.is/EET)      |
| Yang Li             | @idealhack          | APAC     | [JST - Japan Standard Time](https://time.is/Japan)      |
| Josh Berkus         | @jberkus            | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |

#### Moderators Pro Tempore

Moderators pro tempore seats: 10

| Name                    | Kubernetes Slack ID | Region | Timezone                                                   |
| ----------------------- | ------------------- | ------ | ---------------------------------------------------------- |
| Dylan Graham            | @DylanGraham        | APAC   | [AET - Australian Eastern Time](https://time.is/Australia) |
| Angus Lees              | @anguslees          | APAC   | [AET - Australian Eastern Time](https://time.is/Australia) |
| Aditya Konarde          | @aditya-konarde     | APAC   | [IST - Indian Standard Time](https://time.is/IST)          |
| Manjunath Kumatagi      | @mkumatag           | APAC   | [IST - Indian Standard Time](https://time.is/IST)          |
| Pandiyaraja Ramamoorthy | @pontiya            | APAC   | [IST - Indian Standard Time](https://time.is/IST)          |
| Roy Lenferink           | @rlenferink         | EMEA   | [CET - Central European Time](https://time.is/CET)         |
| Loic Le Dru             | @lledru             | EMEA   | [CET - Central European Time](https://time.is/CET)         |
| Puja Abbassi            | @puja108            | EMEA   | [CET - Central European Time](https://time.is/CET)         |
| James Munnelly          | @munnerz            | EMEA   | [GMT - Greenwich Mean Time](https://time.is/GMT)           |
| Joel Speed              | @JoelSpeed          | EMEA   | [GMT - Greenwich Mean Time](https://time.is/GMT)           |

## Zoom

Administrators seats: 6

| Name            | Kubernetes Slack ID | Region   | Timezone                                                |
| --------------- | ------------------- | -------- | ------------------------------------------------------- |
| Jorge Castro    | @castrojo           | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Bob Killen      | @mrbobbytables      | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Jorge Alarcon   | @alejandrox1        | Americas | [ET - Eastern Time (US East Coast)](https://time.is/ET) |
| Paris Pittman   | @paris              | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Naeil Ezzoueidi | @nzoueidi           | EMEA     | [CET - Central European Time](https://time.is/CET)      |
| Yang Li         | @idealhack          | APAC     | [JST - Japan Standard Time](https://time.is/Japan)      |
| Marky Jackson   | @markyjackson       | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |
| Taylor Dolezal  | @onlydole           | Americas | [PT - Pacific Time (US West Coast)](https://time.is/PT) |

- License and main account controlled by the CNCF

[moderation guidelines]: ./moderation.md
[github administration team]: https://git.k8s.io/community/github-management#github-administration-team
[trust system]: https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/
[chinese]: https://discuss.kubernetes.io/t/about-the-chinese-category/2881
[german]: https://discuss.kubernetes.io/t/about-the-german-category/3152
[italian]: https://discuss.kubernetes.io/t/about-the-italian-category/2917/2
[spanish]: https://discuss.kubernetes.io/t/about-the-spanish-category/6167
[ukrainian]: https://discuss.kubernetes.io/t/about-the-ukrainian-category/2916
