---
title: "Non-code Contributions"
weight: 11
slug: "non-code-contributions"
---

*This section is new and in progress. Expect this document to change often.*

*If you are interested in helping define and structure this work, [check the weekly meeting notes](https://docs.google.com/document/d/1gdFWfkrapQclZ4-z4Lx2JwqKsJjXXUOVoLhBzZiZgSk/edit#) for information on how to get involved. You can also find us in the SIG Contributor Experience [Slack channel](https://kubernetes.slack.com/messages/sig-contribex).*

*All contributors welcome, new and old!*

### What is this?

The list below is meant to help non-code contributors find areas of the Kubernetes project where their expertise can be best utilized. The goal of this is to both provide a starting guide for anyone looking to become a contributor not necessarily writing code, and also to fill any needs that the SIGs have that might not currently be filled by code-focused contributors.

This list is meant to be used by both new contributors looking for a good entrance into the project, and current contributors who would like to do something different.

Are you interested in any of the roles below? Come chat with us [on Slack](https://kubernetes.slack.com/messages/sig-contribex)!

#### Project general roles
These are roles that either span the project as a whole, or span several areas of the project. Most of the roles below can be considered "good-first-roles".

- Community education
  - Answering questions on [Discuss](https://discuss.kubernetes.io/), [Slack](http://slack.k8s.io/), [StackOverflow](https://stackoverflow.com/questions/tagged/kubernetes), etc
  - [K8s Office Hours](https://github.com/kubernetes/community/blob/master/events/office-hours.md) 
    - [Slack](https://kubernetes.slack.com/messages/C6RFQ3T5H/)
    - [Discuss](https://discuss.kubernetes.io/tags/office-hours)
    - [YouTube](https://www.youtube.com/playlist?list=PL69nYSiGNLP3azFUvYJjGn45YbF6C-uIg)
  - [Meet Our Contributors](https://github.com/kubernetes/community/blob/master/mentoring/meet-our-contributors.md)
    - [Slack](https://kubernetes.slack.com/messages/C8WRR2BB9/) 
    - [YouTube](https://www.youtube.com/playlist?list=PL69nYSiGNLP3QpQrhZq_sLYo77BVKv09F)
  - Onboarding new contributors
    - Capturing the experiences of “Fresh Eyes” in the project
  - Getting more people to [SIG-Docs](https://github.com/kubernetes/community/tree/master/sig-docs)
    - [Contribute to Kubernetes docs](https://kubernetes.io/docs/contribute/)
  - Doing demos
    - [Kubernetes Weekly Community Meeting](https://github.com/kubernetes/community/blob/master/events/community-meeting.md)
      - [YouTube](https://www.youtube.com/playlist?list=PL69nYSiGNLP1pkHsbPjzAewvMgGUpkCnJ)
- Outward facing community work (might be more CNCF-oriented)
  - Hosting meetups and general evangelism
    - [meetups are managed by the CNCF](https://github.com/cncf/meetups)
    - [Find CNCF meetups near you](https://www.meetup.com/pro/cncf)
    - [See events in Discuss](https://discuss.kubernetes.io/c/events-and-meetups)
  - Presentation of work to meetups
  - Visual Communication
    - Diagrams and visual explanations of concepts
    - Infographic design
    - Icon design
    - Various artistic contributions to strengthen kubernetes brand, evangelize the project, and develop community
- Non-Documentation writing
  - Blogging about early experiences
  - Operational manuals
    - Walkthroughs
    - How-tos about integration experiences, tools, etc
    - Playbooks for Ansible, Chef, Salt, etc
  - Indexing of blogs, videos, etc
  - Maintaining content for the new Contributor Site
- [Management of communication tools](https://github.com/kubernetes/community/blob/master/communication/moderation.md) (at the discretion of project maintainers)
  - [Mailing list moderation](https://github.com/kubernetes/community/blob/master/communication/moderation.md#mailing-list)
  - [Slack](https://github.com/kubernetes/community/blob/master/communication/moderation.md#slack) or [Discourse management](https://github.com/kubernetes/community/blob/master/communication/moderation.md#discuss)
  - Calendar management
  - Analysis of our comm tools/metrics
- Volunteer management
  - Finding/Funneling contributors to the right SIGs or WGs
  - Recognition of those who contribute a lot
  - Recognition of projects and growth efforts
- Issue Triage
  - [Issue triage & labeling](https://github.com/kubernetes/community/blob/master/contributors/guide/issue-triage.md)
- Event management
  - Helping run Contributor Summits
  - Co-organizing Meetups
  - Staffing Kubernetes booths at conferences

#### SIG-specific roles
These are roles that are important to each and every SIG within the Kubernetes project. If you are interested in a specific topic within the project, you can contribute in several different ways for that specific SIG.

- Documentation
  - Common documentation for the SIG expertise area
  - Updates
    - Reviewing/logging technical ownership for documentation that might need updating
  - Translation
- UX/UI Design
- [Release team roles](https://github.com/kubernetes/sig-release/tree/master/release-team)
  - All roles have shadows for onboarding new members
- Project management
  - Confirming ownership of tasks, issues, objects, etc
    - Rectifying “owned by everyone, so owned by no-one”
- Pull requests
  - PR triage & labeling
  - Editing PR text: release note, statement
- Events
  - Organizing/helping run Face-to-Face meetings for SIGs/WGs/subprojects
  - Putting together SIG Intros & Deep-dives for KubeCon/CloudNativeCon
- Managing & Uploading Recordings to YouTube

#### Non-Code Tasks in Primarily-Code roles
These are roles that are not code-based, but require knowledge of either general coding, or specific domain knowledge of the Kubernetes code base.

- Documentation
  - Documenting new features
- Some release roles
  - Managing release notes
- Github management (Tags, repos, etc)

#### Post-Code Roles
These are roles that are not code-based, but require knowledge of either general coding, or specific domain knowledge of the Kubernetes code base.

- Technical project leadership
  - Specifically, SIG-Architecture and Steering Committee
- Some release roles
  - Release Lead, Features Lead, etc
- Mentoring new contributors
