# New Contributor Workshops


## Overview

This folder contains the [handbook for the New Contributor Workshop Content Lead](./new-contributor-workshop-lead.md) as well as playbooks for each of the New Contributor Workshop sessions.

This workshop is held at contributor summits at KubeCon but materials and processes may be used at contributor focused summits and events anywhere.

## Sample Track for Beginner Workshop

This workshop is meant for folks who have never contributed to opensource before and/or need help setting up a Kubernetes developer environment.

1. Welcome
1. [Live PR Demo](./live-pr-demo.md)
1. [Paths to Contributorship](./contributor-paths.md)
1. [Communication in the Kubernetes Community](./how-we-communicate.md)
1. [Community Group and Governance Overview](./community-groups.md)
1. [Kubernetes Orgs Overview](./repo-tour.md)
1. [Workspace Setup](./workspace-setup.md)
1. [Local Build&Test](./build-and-test.md)
1. [Pull Request Exercise](./playground-exercise.md)
1. [Find Your First Issue](./first-issue-help.md)
1. [SIG Meet-and-Greet](/events/events-team/content/sig-contrib-events.md#sig-meet-and-greet)

## Sample Track for Intermediate Workshop

This workshop differs from the Beginner workshop in that participants are expected to have a working Docker/Kubernetes/Go setup. They have a basic understanding of how opensource contributions work, and may have opened a PR against Kubernetes before.

1. Welcome
1. [Live PR Demo](./live-pr-demo.md)
1. [Paths to Contributorship](./contributor-paths.md)
1. [Communication in the Kubernetes Community](./how-we-communicate.md)
1. [Community Group and Governance Overview](./community-groups.md)
1. [Kubernetes Orgs Overview](./repo-tour.md)
1. k/k Walkthrough
1. [Local Build&Test](./build-and-test.md)
1. Labels, Bots and Git Workflow
1. [Find Your First Issue](./first-issue-help.md)
1. [SIG Meet-and-Greet](/events/events-team/content/sig-contrib-events.md#sig-meet-and-greet)
