# Marketing Lead Handbook

This document defines marketing planning and activities needed to run a Contributor Summit.

- [Overview](#overview)
- [Skills and Qualifications](#skills-and-qualifications)
- [Responsibilities](#responsibilities)
- [Documentation](#documentation)

## Overview

As Marketing Lead, you are responsible for the overall marketing communications timeline. The role also includes ensuring all non-technical content (web, mail, physical prints) is correct and informative, and supporting the other roles (registration, content) as needed.

- Time Commitment
  - 1-3 hours a week from 0-1.5 months in  
  - 2-5 hours a week from 1.5 months-to event  

## Skills and Qualifications

- Good grasp on general marketing activities surrounding events  
- Understanding of common forms of marketing communications
- Event planning experience

## Responsibilities

- Create a communication schedule - what, when, how, who  
- Manage online presence - website, social media strategy  
- Potentially recruit a social media coordinator role  
- Provide updates on social media, mailing lists, and Slack throughout pre-, during-, and post-event  
- Assist with GitHub event repo adds and edits  
- Work with Event Lead on a recap blog  
- Determine signage needs and copy, coordinate with CNCF on explicit needs  
- Create/update deck templates for curated talks and/or other purposes

## Shadow to the Marketing Lead Role
This role can include one or more shadows. The Marketing Lead can delegate/assign tasks to the shadows. The expectation from a shadow is to lead one of the events-team roles in an upcoming summit. The shadows to the Marketing Lead are responsible for handling all Marketing lead related activities in the absence of the Lead.


## Documentation

[Email comms used for Contributor Summit Barcelona, 2019](https://github.com/kubernetes/community/blob/master/events/2019/05-contributor-summit/communications.md)
