# Kubernetes Community Office Hours

Office Hours is a live stream where we answer live questions about Kubernetes from **users** on the [YouTube channel](https://www.youtube.com/c/KubernetesCommunity/). Office hours are a regularly scheduled meeting where people can bring topics to discuss with the greater community. They are great for answering questions, getting feedback on how you’re using Kubernetes, or to just passively learn by following along. 

### When and Where

Third Wednesday of every month, there are two sessions: 

- European Edition: [9am ET](http://www.thetimezoneconverter.com/?t=09:00&tz=ET%20%28Eastern%20Time%29) 
- Western Edition: [9am PT](http://www.thetimezoneconverter.com/?t=12:00&tz=ET%20%28Eastern%20Time%29)

Tune into the [Kubernetes YouTube Channel](https://www.youtube.com/c/KubernetesCommunity/live) to follow along. 

You can post questions on the [#office-hours channel](https://kubernetes.slack.com/messages/office-hours) on Slack, or if you like you can submit your question to Stack Overflow and have us take a look.

### How it Works

#### Bringing your own question

If you submit a question on [discuss.kubernetes.io](https://discuss.kubernetes.io) that is prewritten that always makes it easier for the panelists to read all your information ahead of time. You can also submit a question from [StackOverflow](https://stackoverflow.com/questions/tagged/kubernetes).

As a thanks to the community the person asking the question can then ensure that a well written answer makes it way to the question afterwards so that we can build a knowledge base and help maintain the incoming questions. We can also use the video archive of each meeting to bring context to each question we answer. 

Questions that aren’t addressed or need work can be punted to the next week or we can encourage other people to give them a look, at a bare minimum we can at least help socialize the difficult questions. 

#### What’s on topic?

Specific questions about Kubernetes as pertaining to the topic. Since this is a Q&A format, we’d like questions that can be answered generally. So for example:

- Bad: My ingress configuration is broken please fix it. (Dependent on local configuration)
- Good: My ingress configuration is broken can you discuss what problems you usually see and common mistakes that people make so I can avoid them? (Generalized and can communicate things that can help multiple people) 
- Bad: How do I deploy my application in Kubernetes? (Easy to look up, tons of content on this) 
- Good: What best practice techniques are there for deploying applications in Kubernetes? (Nuanced version lets us cover RBAC, application lifecycle)  
- Bad: My pods aren’t coming up on a node. (Vague)
- Good: My pods aren’t coming up or misbehaving, what are the debugging steps to find out the root cause? (Helps us communicate the thought process for debugging to a general audience) 

#### What’s off topic?

Developer/Contributor questions: This event is for end users and operators, there is a separate livestream called [Meet our Contributors](/mentoring/meet-our-contributors.md) where you can ask questions about getting started contributing, participating in peer reviews, and other development topics.

Local installation and debugging: The participants don’t have access to your network or your hardware. The host can/should help the user transform a vague question into something answerable and reusable. 

### Archives

Archives of all the sessions are kept here:

- [Office Hours playlist](https://www.youtube.com/watch?v=D0Q7wwljN30&list=PL69nYSiGNLP3azFUvYJjGn45YbF6C-uIg)

### Volunteering

We're always looking for volunteers to host and answer questions. Volunteers looking to host hours in 
more time zones are also welcome to join in and help us expand. 

- [Volunteer working sheet](http://bit.ly/k8s-office-hours-volunteers)

If you have any questions ping [@castrojo](https://github.com/castrojo).

## Host Information

This information is for the host/panel to prep the show. 

### Host Checklist

- [ ] 1st of the month: Create the livestream events in YouTube.
- [ ] 1st of the month: Update topic in #kubernetes-users, #office-hours, and #kubernetes-novice with the correct YouTube URLs.
- [ ] 2nd wednesday of the month: Remind panelists of dates, get confirmation for each event. 
- [ ] Monday before: Post "Office hours is this Wednesday" with the links to everything in #kubernetes-users, #office-hours, and #kubernetes-novice.
- [ ] Monday before: Post to the general section of discuss.k8s.io with a link to the show and a link to this github page. Tag the post with #office-hours 
- [ ] Monday before: Tweet "Office hours is this Wednesday" with the links to everything, send a mail to social@cncf.io to RT your tweet. 
- [ ] -1h before show: Tweet again, repost "Office hours is going live in ~1h" with the links to everything in #kubernetes-users, #office-hours, and #kubernetes-novice
- [ ] -30m before show: Ensure panelists have link to Zoom meeting.
- [ ] -30m before show: Prep a hack.md document with notes and questions from the channel over the course of the last month, ensure panelists have the URL. 
- [ ] 0: Go live, do the show. 
- [ ] After show: Collate links from the show as markdown and post it in the show thread that you posted in the forums.
- [ ] After show: Check and publish the video on youtube, ensure it's in the Office Hours playlist.
  
### Intro Script

Welcome everyone to today’s Kubernetes Office Hours, where we answer your user questions live on the air with our esteemed panel of experts. You can find us in #office-hours on slack, and check the topic for the URL for the information. 

- Before we begin let’s start by introducing ourselves: (Give each panelist about a minute)
- Before we start here are the ground rules:
  - This is a Kubernetes event so the Code of Conduct is in effect, please be excellent to each other. 
  - This is a judgement-free zone, everyone had to start from somewhere so please help out your buddy by having a supportive environment in the channel.
  - While we will do our best to answer your questions the panel doesn’t have access to your cluster, so live debugging is off topic, but we will do our best to get you moving down the next step.
  - Panelists, you’re encouraged to expand on answers with your experiences and pro-tips.
  - Audience, you can help by pasting in URLs to official docs, blogs, or anything that might be relevant to the topic at hand. 
  - Post your questions on discuss.kubernetes.io
  - You can also help us out by tweeting, spreading the word, and paying it forward. 
  - This panel is made entirely of volunteers, if you want to rotate in please let us know, we love to have new people rotate in and help out. 

### Contest

The hack.md notes document will have a list of who has asked questions, roll a dice to see who won the shirts. On occasion if someone from the audience has been helpful feel free to give them a shirt as well, we want to reward people for helping others. Note: Multi-sided dice not included. 

### Outro

(Note, the companies will change over time depending on the hosts)

- Thanks to the following companies for supporting the community with developer volunteers: Giant Swarm, StockX, Pivotal, Pusher.com, Weaveworks, VMware, University of Michigan, Red Hat, Utility Warehouse and the city of Ottawa, Ontario, Canada. Special thanks to CNCF for sponsoring the t-shirt giveaway. 

And lastly, feel free to hang out in #office-hours afterwards, if the other channels are too busy for you and you’re looking for a friendly home, you’re more than welcome to pull up a chair and hang out. 