# Opening a issue for support with GitHub

## GitHub issues

If you need help with the following:
- Permissions issues
- Organization membership
- Third-party integrations
- Webhooks
- Repository creation/migration
- Repository archival
- Project Board creation
- Other repository and configuration issues

Please open an issue against the [kubernetes/org] repository describing your
issue. If your request is urgent, please escalate to **[@kubernetes/owners]**.

To create a new team, add a member to a team or rename a team, please
create a PR against the [kubernetes/org] repository according to
the [team guidance].

## Bot/Automation issues

If you need help with the following:
- Bot configuration
- Automatic merging
- Issue labelling
- Automation feedback and feature requests

Please open an issue against the [kubernetes/test-infra] repository describing
your issue. If your request is urgent, please escalate to the
[test-infra on-call] or reach out to `#testing-ops` on Slack.

## Sensitive issues

To report any sensitive information, please email the private github@kubernetes.io list.

[kubernetes/org]: https://github.com/kubernetes/org/issues
[@kubernetes/owners]: https://github.com/orgs/kubernetes/teams/owners
[kubernetes/test-infra]: https://github.com/kubernetes/test-infra/issues
[test-infra on-call]: https://go.k8s.io/oncall
[team guidance]: /github-management/org-owners-guide.md#team-guidance
