# GitHub Management Subproject Responsibilities

This subproject will be responsible for:
- Establishing policies, standards, and procedures for routine GitHub management
  tasks, including but not limited to: org membership, org permissions, repo
  creation/administration
- Establishing a policy around "Org Owner" permissions, and grant/limit these
  privileges accordingly
- Establishing policies and best practices for bot accounts, service accounts,
  webooks, and third-party integrations
- Maintaining documentation related to the above
- Establishing a "GitHub Administration team" that will oversee the execution of
  GitHub management tasks (inviting new members to the org, creating repos,
  executing moderation decisions, auditing permissions)
- Working with other sigs and interested parties in the project to execute
  GitHub tasks where required

This subproject will explicitly not be responsible for:
- Tooling and automation for GitHub (this falls under sig-testing, and the
  sig-contributor-experience Contributor Workflow and Automation subproject)
- Determining policies around which repos can get created (this falls under
  sig-architecture and the steering committee)
- Moderation policies and escalations on GitHub (this falls under the Moderation
  subproject, the Code of Conduct committee, and the steering committee)
- Contributor workflow within Kubernetes repos, e.g. mandated use of labels
  (this falls under the guise of the subproject responsible for the repo, and
  the Contributor Workflow and Automation subproject)
