<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# CLI Special Interest Group

Covers kubectl and related tools. We focus on the development and standardization of the CLI framework and its dependencies, the establishment of conventions for writing CLI commands, POSIX compliance, and improving the command line tools from a developer and devops user experience and usability perspective.

The [charter](charter.md) defines the scope and governance of the CLI Special Interest Group.

## Meetings
* Regular SIG Meeting: [Wednesdays at 09:00 PT (Pacific Time)](https://docs.google.com/document/d/1FQx0BPlkkl1Bn0c9ocVBxYIKojpmrS1CFP5h0DI68AE/edit) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=09:00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1r0YElcXt6G5mOWxwZiXgGu_X6he3F--wKwg-9UBc29I/edit?usp=sharing).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP28HaTzSlFe6RJVxpFmbUvF).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Sean Sullivan (**[@seans3](https://github.com/seans3)**), Google
* Maciej Szulik (**[@soltysh](https://github.com/soltysh)**), Red Hat

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Phillip Wittrock (**[@pwittrock](https://github.com/pwittrock)**), Google
* Maciej Szulik (**[@soltysh](https://github.com/soltysh)**), Red Hat

## Emeritus Leads

* Tony Ado (**[@AdoHe](https://github.com/AdoHe)**)
* Fabiano Franz (**[@fabianofranz](https://github.com/fabianofranz)**)

## Contact
- Slack: [#sig-cli](https://kubernetes.slack.com/messages/sig-cli)
- [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-cli)
- [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fcli)
- GitHub Teams:
    - [@kubernetes/sig-cli-api-reviews](https://github.com/orgs/kubernetes/teams/sig-cli-api-reviews) - API Changes and Reviews
    - [@kubernetes/sig-cli-bugs](https://github.com/orgs/kubernetes/teams/sig-cli-bugs) - Bug Triage and Troubleshooting
    - [@kubernetes/sig-cli-feature-requests](https://github.com/orgs/kubernetes/teams/sig-cli-feature-requests) - Feature Requests
    - [@kubernetes/sig-cli-maintainers](https://github.com/orgs/kubernetes/teams/sig-cli-maintainers) - CLI Maintainers
    - [@kubernetes/sig-cli-misc](https://github.com/orgs/kubernetes/teams/sig-cli-misc) - General Discussion
    - [@kubernetes/sig-cli-pr-reviews](https://github.com/orgs/kubernetes/teams/sig-cli-pr-reviews) - PR Reviews
    - [@kubernetes/sig-cli-proposals](https://github.com/orgs/kubernetes/teams/sig-cli-proposals) - Design Proposals
    - [@kubernetes/sig-cli-test-failures](https://github.com/orgs/kubernetes/teams/sig-cli-test-failures) - Test Failures and Triage

## Subprojects

The following [subprojects][subproject-definition] are owned by sig-cli:
### cli-experimental
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes-sigs/cli-experimental/master/OWNERS
### cli-sdk
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes/cli-runtime/master/OWNERS
  - https://raw.githubusercontent.com/kubernetes/kubernetes/master/staging/src/k8s.io/cli-runtime/OWNERS
  - https://raw.githubusercontent.com/kubernetes/kubernetes/master/staging/src/k8s.io/sample-cli-plugin/OWNERS
  - https://raw.githubusercontent.com/kubernetes/sample-cli-plugin/master/OWNERS
### cli-utils
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes-sigs/cli-utils/master/OWNERS
### krew
Plugin manager for kubectl.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes-sigs/krew/master/OWNERS
### krew-index
Centralized plugin index for krew.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes-sigs/krew-index/master/OWNERS
### kubectl
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes/kubectl/master/OWNERS
  - https://raw.githubusercontent.com/kubernetes/kubernetes/master/pkg/kubectl/OWNERS
### kustomize
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes-sigs/kustomize/master/OWNERS
- **Contact:**
  - Slack: [#kustomize](https://kubernetes.slack.com/messages/kustomize)

[subproject-definition]: https://github.com/kubernetes/community/blob/master/governance.md#subprojects
<!-- BEGIN CUSTOM CONTENT -->

<!-- END CUSTOM CONTENT -->
