<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# Contributor Experience Special Interest Group

Developing and sustaining a healthy community of contributors is critical to scaling the project and growing the ecosystem. We need to ensure our contributors are happy and productive, and that there are not bottlenecks hindering the project in, for example: feature velocity, community scaling, pull request latency, and absolute numbers of open pull requests and open issues.

The [charter](charter.md) defines the scope and governance of the Contributor Experience Special Interest Group.

## Meetings
* Biweekly Issue Triage: [Wednesdays at 10:30 PT (Pacific Time)](https://zoom.us/j/308291410) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=10:30&tz=PT%20%28Pacific%20Time%29).
  * [Meeting recordings](https://www.youtube.com/watch?v=EMGUdOKwSns&list=PL69nYSiGNLP2x_48wbOPO0vXQgNTm_xxr).
* Regular SIG Meeting: [Wednesdays at 9:30 PT (Pacific Time)](https://zoom.us/j/397264241) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=9:30&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1qf-02B7EOrItQgwXFxgqZ5qjW0mtfu5qkYIF1Hl4ZLI/).
  * [Meeting recordings](https://www.youtube.com/watch?v=EMGUdOKwSns&list=PL69nYSiGNLP2x_48wbOPO0vXQgNTm_xxr).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Elsie Phillips (**[@Phillels](https://github.com/Phillels)**), Red Hat
* Bob Killen (**[@mrbobbytables](https://github.com/mrbobbytables)**), University of Michigan

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Christoph Blecker (**[@cblecker](https://github.com/cblecker)**), Red Hat
* Nikhita Raghunath (**[@nikhita](https://github.com/nikhita)**), Loodse

## Emeritus Leads

* Garrett Rodrigues (**[@grodrigues3](https://github.com/grodrigues3)**)
* Paris Pittman (**[@parispittman](https://github.com/parispittman)**)

## Contact
- Slack: [#sig-contribex](https://kubernetes.slack.com/messages/sig-contribex)
- [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-contribex)
- [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fcontributor-experience)
- GitHub Teams:
    - [@kubernetes/sig-contributor-experience](https://github.com/orgs/kubernetes/teams/sig-contributor-experience) - General Discussion
    - [@kubernetes/sig-contributor-experience-apac-coordinators](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-apac-coordinators) - APAC Coordinator Team
    - [@kubernetes/sig-contributor-experience-leads](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-leads) - Chairs and Technical Leads
    - [@kubernetes/sig-contributor-experience-pr-reviews](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-pr-reviews) - PR Reviews

## Subprojects

The following [subprojects][subproject-definition] are owned by sig-contributor-experience:
### community
Owns and manages overall community repo, including community group documentation and operations.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes/community/master/OWNERS
### community-management
Manages operations and policy for upstream community group communication platforms.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes-sigs/discuss-theme/master/OWNERS
  - https://raw.githubusercontent.com/kubernetes/community/master/communication/OWNERS
- **Meetings:**
  - APAC Coordinator Meeting: [Thursdays at 5:00 UTC](https://zoom.us/j/144440337) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=5:00&tz=UTC).
  - Marketing Team Meeting: [Fridays at 8:00 PT (Pacific Time)](https://zoom.us/j/596959769) (weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=8:00&tz=PT%20%28Pacific%20Time%29).
    - [Meeting recordings](https://www.youtube.com/watch?v=EMGUdOKwSns&list=PL69nYSiGNLP2x_48wbOPO0vXQgNTm_xxr).
### contributors-documentation
writes and maintains documentation around contributing to Kubernetes, including the Contributor's Guide, Developer's Guide, and contributor website.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes-sigs/contributor-site/master/OWNERS
  - https://raw.githubusercontent.com/kubernetes/community/master/contributors/guide/OWNERS
- **Meetings:**
  - Non-Code Contributors Meeting: [Wednesdays at 11:00 PT (Pacific Time)](https://docs.google.com/document/d/1gdFWfkrapQclZ4-z4Lx2JwqKsJjXXUOVoLhBzZiZgSk/edit) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=11:00&tz=PT%20%28Pacific%20Time%29).
### devstats
Maintains and updates https://k8s.devstats.cncf.io, including taking requests for new charts.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes/community/master/sig-contributor-experience/devstats/OWNERS
- **Contact:**
  - Slack: [#devstats](https://kubernetes.slack.com/messages/devstats)
### events
Creates and runs contributor-focused events, such as the Contributor Summit.  Event Teams are part of this subproject.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes/community/master/events/OWNERS
- **Contact:**
  - Slack: [#events](https://kubernetes.slack.com/messages/events)
- **Meetings:**
  - Events Planning Subproject: [Mondays at 10:00 PT (Pacific Time)](https://docs.google.com/document/d/1oLXv5_rM4f645jlXym_Vd7AUq7x6DV-O87E6tcW1sjU/edit) (weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=10:00&tz=PT%20%28Pacific%20Time%29).
### github-management
Manages and controls Github permissions, repos, and groups, including Org Membership.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes/community/master/github-management/OWNERS
  - https://raw.githubusercontent.com/kubernetes/org/master/OWNERS
- **Meetings:**
  - GitHub Administration Subproject: [Thursdays at 09:30 PT (Pacific Time)](https://docs.google.com/document/d/1IiVrr1hcFWmbboExk971FsMUGfr2Wp68mdMribCuzLs/edit) (monthly on 4th Thursday). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=09:30&tz=PT%20%28Pacific%20Time%29).
### k8s.io
Creates and maintains shortcuts and automation apps running in the k8s.io domain.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes/k8s.io/master/OWNERS
### mentoring
Oversees and develops programs for helping contributors ascend the contributor ladder, including the New Contributor Workshops, Meet Our Contributors, and other programs.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes-sigs/contributor-playground/master/OWNERS
  - https://raw.githubusercontent.com/kubernetes/community/master/mentoring/OWNERS
- **Meetings:**
  - sig-contribex mentoring subproject meeting: [Fridays at 10:00 PT](https://zoom.us/j/739807514) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=10:00&tz=PT).
    - [Meeting recordings](https://www.youtube.com/watch?v=Cqf9dIiS6Ig&list=PL69nYSiGNLP2x_48wbOPO0vXQgNTm_xxr).
### repo-infra
Creates and maintains tools and templates for kubernetes-namespace repositories.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes/repo-infra/master/OWNERS
### slack-infra
Creates and maintains tools and automation for Kubernetes Slack.
- **Owners:**
  - https://raw.githubusercontent.com/kubernetes-sigs/slack-infra/master/OWNERS
- **Contact:**
  - Slack: [#slack-infra](https://kubernetes.slack.com/messages/slack-infra)

[subproject-definition]: https://github.com/kubernetes/community/blob/master/governance.md#subprojects
<!-- BEGIN CUSTOM CONTENT -->

<!-- END CUSTOM CONTENT -->
